/*
 * @(#) $Id:  $
 *
 * Copyright 2009/2010 by sIT Solutions,
 * A-1110 Wien, Geiselbergstr.21-25.
 * All rights reserved.
 *
 */
package at.spardat.xma.mdl.paging;
/**
 * Implementors of this interface are called automatically when the user presses
 * the <code>export</code> button on the associated paging control.
 * You register an implementation of this interface using {@link IPagingWMClient#setExporter(Exporter)}.
 * The {@link PagingControlClient} must be constructed with the flag {@link PagingControlClient#SHOW_EXPORT}
 * to contain the <code>export</code> button.
 *
 * @since 4.1.0
 */
public interface Exporter {
    
    /**
     * Export the table, called when the user clicks on the <code>export</code> button
     * of the {@link PagingControlClient}.
     */
    void export();

}
