/*******************************************************************************
 * Copyright (c) 2003, 2007 s IT Solutions AT Spardat GmbH .
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     s IT Solutions AT Spardat GmbH - initial API and implementation
 *******************************************************************************/

// @(#) $Id: Version.java 7412 2011-03-29 12:13:52Z aku $
package at.spardat.xma.util;

/**
 * Version constants of the XMA runtime.
 *
 * @author YSD, 14.05.2003 20:18:39
 */
public class Version {

    /**
     * major version number of the XMA runtime
     */
    public final static int               MAJOR = 2;

    /**
     * minor version number of the XMA runtime
     */
    public final static int               MINOR = 3;

    /**
     * bugfix version number of the XMA runtime
     */
    public final static int               BUGFIX = 3;

    /**
     * Returns a String of the form major.minor.bugfix
     */
    public static String getVersion () {
        return "" + MAJOR + '.' + MINOR + '.' + BUGFIX;
    }

    /**
     * Returns a numeric version identification.
     */
    public static int getVersionNumber () {
        return (MAJOR*1000 + MINOR)*1000 + BUGFIX;
    }

}
